# python/object:istd_klassen.IstdRegel
code: IV032
documentatie: "Welke retourcode gevuld moet worden, wordt bepaald door controle op\
  \ basis waarvan het bericht wordt afgekeurd. De retourcode wordt meegegeven bij\
  \ de berichtklasse waarop de controle van toepassing is.\n\nTechnische regels, condities\
  \ en constraints die niet op basis van een XSD \xF3f XSLT validatie gecontroleerd\
  \ kunnen worden, hebben een eigen retourcode. Overige regels gebruiken retourcode\
  \ 0001 (Bericht is technisch onjuist). Daarnaast zijn nog een aantal algemene retourcodes\
  \ beschikbaar.\n\nEen ontvangen bericht wordt op vier niveaus gecontroleerd.\n\n\
  Niveau 1:\nHet bericht wordt gecontroleerd op leesbaarheid en gevalideerd tegen\
  \ het XSD. \nIndien het bericht niet leesbaar is of niet valideert, krijgt de afzender\
  \ een foutmelding. Er wordt geen retourbericht verzonden.\n\nNiveau 2:\nHet bericht\
  \ wordt gecontroleerd tegen alle regels (technische regels, condities en constraints)\
  \ die binnen het bericht zelf te controleren zijn. Voor deze regels zijn XSLTs beschikbaar\
  \ die gebruikt kunnen worden om de controles uit te voeren. \nWanneer fouten worden\
  \ geconstateerd bevat het retourbericht alleen de Header met retourcode 0001 (Bericht\
  \ is technisch onjuist). Wanneer de ter beschikking gestelde XSLTs gebruikt zijn,\
  \ wordt bovendien het versienummer van de XSLTs meegegeven.\n\nNiveau 3:\nHet bericht\
  \ wordt gecontroleerd op alle overige regels die niet binnen het bestand zelf gecontroleerd\
  \ kunnen worden. Dit betekent dat gecontroleerd wordt op:\nSysteemdatum om te bepalen\
  \ of de dagtekening niet in de toekomst ligt;\nAlle berichtoverstijgende technische\
  \ regels;\nCodelijsten die wel onderdeel zijn van de standaard, maar niet als enumeratie\
  \ in de XSDs zijn opgenomen, zoals de gemeentelijke indeling van CBS.\n\nWanneer\
  \ fouten zijn geconstateerd in \xE9\xE9n van de berichtklassen die horen bij een\
  \ Client, dan bevat het retourbericht de header en alle berichtklassen uit het heenbericht\
  \ die horen bij die Client, voorzien van retourcode(s). De retourcode die hoort\
  \ bij de regel op basis waarvan het bericht wordt afgekeurd, wordt ingevuld bij\
  \ de berichtklasse waarin de fout is geconstateerd. Let wel: aangezien de declaratie/facturatie\
  \ gegevens kan bevatten over meer clienten, kan ook het retourbericht gegevens bevatten\
  \ over meer clienten.\n\nNiveau 4:\nHet bericht wordt gecontroleerd op aanvullende\
  \ afspraken die niet gecontroleerd kunnen worden op basis van informatie die binnen\
  \ de standaard wordt uitgewisseld. Het gaat bijvoorbeeld om controles t.o.v. contractafspraken.\
  \ Voor deze controles zijn een beperkt aantal retourcodes beschikbaar, het gebruik\
  \ hiervan is beperkt tot:\nEen declaratie-/factuurbericht kan worden afgekeurd met\
  \ retourcodes 0611, 8004, 8847, 8849 t/m 8856. \nVerzoek om toewijzingbericht kan\
  \ worden afgekeurd met retourcodes 8857 t/m 8862. Deze retourcode wordt gevuld bij\
  \ de berichtklasse AangevraagdProduct waarop de afwijking geconstateerd is.\n\n\
  Let op: Clienten waarvoor g\xE9\xE9n fouten zijn geconstateerd, worden niet opgenomen\
  \ in het retourbericht (zie OP065).\n\nBijvoorbeeld: De gemeente ontvangt een verwijdering\
  \ (status aanlevering 3) van een startbericht, maar heeft de eerste aanlevering\
  \ van het StartProduct niet ontvangen. Het bericht wordt dan afgekeurd op basis\
  \ van TR063.\nIn het retourbericht voor deze voorbeeld foutsituatie worden de volgende\
  \ retourcodes gevuld:\nHeader: Retourcode 0200 (Geen opmerkingen over deze berichtklasse)\n\
  Client: Retourcode 0200 (Geen opmerkingen over deze berichtklasse)\nStartProduct:\
  \ Retourcode 9063 (Het bericht kan niet verwerkt worden omdat geen eerder bericht\
  \ ontvangen is)\n"
titel: 'IV032: Welke retourcode moet gevuld worden in het retourbericht?'
type: Invulinstructie


